get
/api/v2/brand-bookGet Brand Book memory and AI-agent defaults for the selected project.
Get Brand Book memory and AI-agent defaults for the selected project.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"project": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"websiteUrl": {
"type": "string",
"nullable": true
},
"languageCode": {
"type": "string"
},
"countryCode": {
"type": "string"
}
},
"required": [
"id",
"name",
"websiteUrl",
"languageCode",
"countryCode"
]
},
"brandBook": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"websiteUrl": {
"type": "string"
},
"languageCode": {
"type": "string"
},
"countryCode": {
"type": "string"
},
"shortDescription": {
"type": "string",
"nullable": true
},
"industry": {
"type": "string",
"nullable": true
},
"longDescription": {
"type": "string",
"nullable": true
},
"sourceMetadata": {
"type": "object",
"additionalProperties": true
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"name",
"websiteUrl",
"languageCode",
"countryCode",
"shortDescription",
"industry",
"longDescription",
"sourceMetadata",
"createdAt",
"updatedAt"
]
},
"aliases": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"alias": {
"type": "string"
}
},
"required": [
"id",
"alias"
]
}
},
"features": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"sortOrder": {
"type": "integer"
}
},
"required": [
"id",
"title",
"description",
"sortOrder"
]
}
},
"agentSettings": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"language": {
"type": "string"
},
"tone": {
"type": "string"
},
"imageStyle": {
"type": "string"
},
"imageInstructions": {
"type": "string",
"nullable": true
},
"restrictions": {
"type": "string",
"nullable": true
},
"blockedWords": {
"type": "array",
"items": {
"type": "string"
}
},
"toolPolicies": {
"type": "object",
"additionalProperties": {
"type": "object",
"additionalProperties": false,
"properties": {
"enabled": {
"type": "boolean"
},
"behavior": {
"type": "string",
"enum": [
"ai_decides",
"always_use"
]
}
},
"required": [
"enabled",
"behavior"
]
}
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"language",
"tone",
"imageStyle",
"imageInstructions",
"restrictions",
"blockedWords",
"toolPolicies",
"createdAt",
"updatedAt"
]
}
},
"required": [
"project",
"brandBook",
"aliases",
"features",
"agentSettings"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.